
Foreman - Refactor #7174

Increase delay on autocomplete fields

08/20/2014 09:38 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1703

  

Description

Currently every time a letter is pressed in an auto complete field, an AJAX request is fired causing the server to run 3-4 sql queries.

Adding a small delay will cause the request to be fired only once the user stops typing, saving requests and queries in case the user

types in several characters in a row.

Associated revisions

Revision 233eea0b - 08/27/2014 03:48 AM - Tomer Brisker

Fixes #7174 - add delay on autocomplete

Revision 728946ac - 08/27/2014 08:02 AM - Tomer Brisker

Fixes #7174 - add delay on autocomplete

(cherry picked from commit 233eea0b63d565fd399af36013efeac2947208d1)

History

#1 - 08/20/2014 09:46 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.4

- Pull request https://github.com/theforeman/foreman/pull/1703 added

- Pull request deleted ()

#2 - 08/27/2014 03:51 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#3 - 08/27/2014 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 233eea0b63d565fd399af36013efeac2947208d1.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/233eea0b63d565fd399af36013efeac2947208d1
http://www.tcpdf.org

